function Pyramid = buildPyramid(Im, pyramid_levels)
% function Pyramid = buildPyramid(Im, pyramid_levels)
%
% (c) Guido de Croon, 2013
Pyramid = cell(pyramid_levels+1, 1);
Pyramid{1} = Im;
for pl = 1:pyramid_levels
    Pyramid{pl+1} = makeNextPyramid(Pyramid{pl});
end
    