function I = getSubPixel(Im, x, y, x_window_size, y_window_size)
% function I = getSubPixel(Im, x, y, x_window_size, y_window_size)
% (c) Guido de Croon, 2013
if(~exist('x_window_size','var'))
    x_window_size = 1;
end
if(~exist('y_window_size','var'))
    y_window_size = x_window_size;
end
% Get the subpixel accurate image patch I:
yyy = 1;
I = zeros(2*y_window_size+1, 2*x_window_size+1);
for yy = y-y_window_size:y+y_window_size
    xxx = 1;
    for xx = x-x_window_size:x+x_window_size
        I(yyy,xxx) = getPixelValue(Im, [xx yy]);
        xxx = xxx + 1;
    end
    yyy = yyy + 1;
end