function Im = transformImage(Im, IM_RESIZE)
% function Im = transformImage(Im, IM_RESIZE)
% (c) Guido de Croon, 2013
% resize image:
if(exist('IM_RESIZE', 'var') && ~isempty(IM_RESIZE) && IM_RESIZE ~= 1)
    Im = imresize(Im, IM_RESIZE);
end
% make grayscale:
if(size(Im,3) > 1)
    Im = rgb2gray(Im);
end
% convert to double: 
if(isa(Im, 'uint8'))
    Im = double(Im)./ 255; 
end

